#The amount of XP needed for the comparator to output a redstone signal of strength one. By default, the signal will be at full strength if the block has 30 levels stored.
# Default: 93
# Range: 0 ~ 143165576
xpForComparator = 93
#Whether the XP Block will pickup any XP orbs around it
pickupXP = true
#The range in blocks around the XP Block in which XP orbs will be picked up
# Default: 3.0
# Range: 0.0 ~ 50.0
pickupRange = 3.0
#Setting this to true will remove only as much XP from the block at a time as is needed for the player to reach their next level. Setting to false will retrieve all stored XP at once.
retrieve_until_next_level = true
#Sets the amount of XP points that will be removed from the XP Block and added to the player's XP bar when the player interacts with the block
#If this is set to anything other than -1, this setting will override the "retrieve_until_next_level" configuration setting.
#As such, setting this to 0 will disable XP retrieval, and setting to -1 will make the XP Block ignore this setting.
# Default: -1
# Range: > -1
retrieval_amount = -1
#Setting this to true will store only as much XP from the player's XP bar until reaching the previous level, meaning only one level at maximum will be added to the block's storage at a time. Setting to false will store all the XP the player has.
store_until_previous_level = false
#Sets the amount of XP points that will be removed from the player's XP bar and stored in the XP Block when the player interacts with it.
#If this is set to anything other than -1, this setting will override the "store_until_previous_level" configuration setting.
#As such, setting this to 0 will disable adding XP to the block, and setting to -1 will make the XP Block ignore this setting.
# Default: -1
# Range: > -1
storing_amount = -1
#The percentage of XP that the XP Block will give back, as a sort of cost of using it.
#Example: If this config value is set to 0.75, and an XP Block has 100 XP stored, attempting to retrieve these 100 XP will give back 75 XP.
#Note: This will not be 100% accurate, as Minecraft's XP does not use decimals.
# Default: 1.0
# Range: 0.0 ~ 1.0
retrieval_percentage = 1.0
#Setting this to true will remove XP from the block in XP orb form. This is useful if you want to use XP from the block for tools enchanted with Mending.
#These XP orbs will not be picked back up by the XP Block, if "pickupXP" is true.
retrieve_xp_orbs = false
